org.wso2.carbon.mdm.services.android.services

## Interface DeviceManagementService

- All Known Implementing Classes:
    DeviceManagementServiceImpl

      public interface DeviceManagementService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `disEnrollDevice(String id)`
    `javax.ws.rs.core.Response` | `enrollDevice(AndroidDevice device)`
    `javax.ws.rs.core.Response` | `getPendingOperations(String id, String ifModifiedSince, List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> resultOperations)`
    `javax.ws.rs.core.Response` | `isEnrolled(String id, String ifModifiedSince)`
    `javax.ws.rs.core.Response` | `modifyEnrollment(String id, AndroidDevice androidDevice)`
    `javax.ws.rs.core.Response` | `updateApplicationList(String id, List<AndroidApplication> androidApplications)`

- - ### Method Detail

    - #### updateApplicationList

          javax.ws.rs.core.Response updateApplicationList(@NotNull@Size(min=2,max=45)@Pattern(regexp="^[A-Za-z0-9]*$")
                                                        String id,
                                                        List<AndroidApplication> androidApplications)

    - #### getPendingOperations

          javax.ws.rs.core.Response getPendingOperations(String id,
                                                       @HeaderParam(value="If-Modified-Since")
                                                       String ifModifiedSince,
                                                       List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> resultOperations)

    - #### enrollDevice

          javax.ws.rs.core.Response enrollDevice(AndroidDevice device)

    - #### isEnrolled

          javax.ws.rs.core.Response isEnrolled(String id,
                                             @HeaderParam(value="If-Modified-Since")
                                             String ifModifiedSince)

    - #### modifyEnrollment

          javax.ws.rs.core.Response modifyEnrollment(String id,
                                                   AndroidDevice androidDevice)

    - #### disEnrollDevice

          javax.ws.rs.core.Response disEnrollDevice(String id)

Copyright © 2017 WSO2. All rights reserved.